package main

import (
	"Esan-Shabu/routes" //add this

	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/cors"
)

func main() {
	app := fiber.New()
	app.Use(cors.New(
		cors.Config{
			AllowOrigins: "*",
			AllowHeaders: "Origin, Content-Type, Accept",
		},
	))

	//initial
	app.Get("/", func(c *fiber.Ctx) error {
		return c.JSON(fiber.Map{
			"Project": "E-sarn Shabu", "Framework": "Fiber", "Interpreter": "Golang", "API Version": "Alpha 1.0.0",
		})
	})

	//routes
	routes.MenuRoute(app) //add this
	routes.CategoryRoute(app)
	routes.UserRoute(app)
	routes.PromotionRoute(app)

	app.Listen(":2000")
}
